Name:          libnice
Version:       0.1.21
Release:       1mamba
Summary:       An implementation of the IETF's draft Interactice Connectivity Establishment standard (ICE)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libnice.freedesktop.org/
Source:        http://nice.freedesktop.org/releases/libnice-%{version}.tar.gz
Patch0:        libnice-0.1.15-arm-upsteam-fix_memory_alignment.patch
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgupnp-igd-devel
## AUTOBUILDREQ-END
License:       LGPL, MPL

%description
Libnice is an implementation of the IETF's draft Interactice Connectivity Establishment standard (ICE). It provides GLib-based library, libnice and GStreamer elements.
ICE is useful for applications that want to establish peer-to-peer UDP data streams. It automates the process of traversing NATs and provides security against some attacks.
Existing standards that use ICE include Session Initiation Protocol (SIP) and XMPP Jingle.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libgssdp-devel

%description devel
Libnice is an implementation of the IETF's draft Interactice Connectivity Establishment standard (ICE). It provides GLib-based library, libnice and GStreamer elements.
ICE is useful for applications that want to establish peer-to-peer UDP data streams. It automates the process of traversing NATs and provides security against some attacks.
Existing standards that use ICE include Session Initiation Protocol (SIP) and XMPP Jingle.
This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q
#%patch0 -p1

%build
%meson \
   -Dgtk_doc=enabled

#% configure \
#%ifarch arm
#   CFLAGS="-Wno-error=cast-align"
#%endif

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/stunbdc
%{_bindir}/stund
%{_libdir}/libnice.so.*
%{_libdir}/girepository-1.0/Nice-0.1.typelib
#%{_libdir}/gstreamer-0.10/libgstnice010.so
%{_libdir}/gstreamer-1.0/libgstnice.so
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
#%{_bindir}/sdp-example
#%{_bindir}/simple-example
#%{_bindir}/threaded-example
%{_libdir}/libnice.so
%dir %{_includedir}/nice
%{_includedir}/nice/*.h
%dir %{_includedir}/stun
%{_includedir}/stun/*.h
%dir %{_includedir}/stun/usages
%{_includedir}/stun/usages/*.h
%{_datadir}/gir-1.0/Nice-0.1.gir
%dir %{_datadir}/gtk-doc/html/libnice
%{_datadir}/gtk-doc/html/libnice/*
%{_libdir}/pkgconfig/*.pc
%doc NEWS README TODO

%changelog
* Mon Jan 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.21-1mamba
- update to 0.1.21

* Thu May 05 2022 Automatic Build System <autodist@mambasoft.it> 0.1.19-1mamba
- automatic version update by autodist

* Sat Oct 24 2020 Automatic Build System <autodist@mambasoft.it> 0.1.18-1mamba
- automatic version update by autodist

* Sun May 24 2020 Automatic Build System <autodist@mambasoft.it> 0.1.17-1mamba
- automatic version update by autodist

* Mon Apr 20 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.16-2mamba
- rebuilt with libgssdp 1.2.2

* Sat Jul 06 2019 Automatic Build System <autodist@mambasoft.it> 0.1.16-1mamba
- automatic version update by autodist

* Sat Feb 02 2019 Automatic Build System <autodist@mambasoft.it> 0.1.15-1mamba
- automatic version update by autodist

* Fri Apr 07 2017 Automatic Build System <autodist@mambasoft.it> 0.1.14-1mamba
- automatic version update by autodist

* Sun Aug 23 2015 Automatic Build System <autodist@mambasoft.it> 0.1.13-1mamba
- automatic version update by autodist

* Mon Feb 09 2015 Automatic Build System <autodist@mambasoft.it> 0.1.10-1mamba
- automatic version update by autodist

* Fri Feb 06 2015 Automatic Build System <autodist@mambasoft.it> 0.1.9-1mamba
- automatic update by autodist

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 0.1.8-1mamba
- automatic update by autodist

* Wed May 28 2014 Automatic Build System <autodist@mambasoft.it> 0.1.7-1mamba
- automatic update by autodist

* Tue Apr 29 2014 Automatic Build System <autodist@mambasoft.it> 0.1.6-1mamba
- automatic update by autodist

* Fri Mar 01 2013 Automatic Build System <autodist@mambasoft.it> 0.1.4-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.3-1mamba
- update to 0.1.3

* Thu Jun 14 2012 Automatic Build System <autodist@mambasoft.it> 0.1.2-1mamba
- automatic version update by autodist

* Sat Sep 10 2011 Automatic Build System <autodist@mambasoft.it> 0.1.1-1mamba
- automatic version update by autodist

* Sat Jan 29 2011 Automatic Build System <autodist@mambasoft.it> 0.1.0-1mamba
- automatic update by autodist

* Fri Jul 30 2010 Automatic Build System <autodist@mambasoft.it> 0.0.13-1mamba
- automatic update by autodist

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 0.0.12-1mamba
- automatic update by autodist

* Thu Apr 15 2010 Automatic Build System <autodist@mambasoft.it> 0.0.11-1mamba
- automatic update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 0.0.10-1mamba
- automatic update by autodist

* Fri Sep 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.9-1mamba
- package created by autospec
